function getJHR0estimate4(lastdayused, color, R0backlog, k, kbacklog)
% Johns Hopkins model R_0 estimation
% lastdayused used to fix the endtime in the paper
% color is 'black' or 'color'
% kbacklog is number of days used in estimateRecovered
countrylist=GetCoronaCountryList;
% indlist is the selection of countries frtom countrylist
% plotlist has the plot parameters  in the numbering of the countrylist
% colors and symbols
% countrylist={ 'Germany' 'Italy' 'Spain' ...
%       'France' 'UK' 'US' 'Brazil'  ...
%     'Denmark' 'Switzerland' 'Sweden' 'Austria'  'Russia' };
selection=[1 2 3 4 5 6]
% selection=1:12;
plotmark={'k-o' 'b-o' 'g-o' 'r-o','c-o','m-o','k' 'b' 'g' 'r','y','c','k' 'b' 'g' 'r','y','c'};
plotmarkshort={'k-' 'b-' 'g-' 'r-','c-','m-','k' 'b' 'g' 'r','y','c','k' 'b' 'g' 'r','y','c'};
figure
for i=1:length(selection)
    j=selection(i);
    % for j=1:length(countrylist) % loop over selected countries
    country=char(countrylist(j))
    [tC, C, tI, I, tR, R, tD, D, tER, ER]=getCIRDrepaired(country, lastdayused, k, kbacklog);
    pars=GetCoronaParameters(country);
    %     if pars(3)==1 % estimate Recovered
    %         R=ER;
    %     end
    I=C-R-D;
    if min(I)<0
        disp(sprintf('Negative Infectious for %s in estimate 4',country))
        pause
    end
    
    len=length(C);
    [tt, gam, b, ttr, r]=getJHGammaBR0(C, R, D);
    tt=intersect(tt, (len-R0backlog:len)');
    
    
    % plot(tt,b(tt)./gam(tt),char(plotlist(i)))
    % change to the DMV version: 
    ttr=intersect(ttr, (len-R0backlog:len)');
    sc=max(max(R+D),max(C));
    % sc=6.3e6/50;
    tt=(1:len)';
    ttm=mod(len-tt,7);
    tt=intersect(tt, find(ttm==0));
    plot((R+D)/sc,C/sc, char(plotmarkshort(i)))
    hold on 
    plot((R(tt)+D(tt))/sc,C(tt)/sc, char(plotmark(i)))
    axis( [0 1 0 1])
    axis square
    hold on 
    
    
    derivative=myderivativechecker(R+D, C, 7, 1)
    % title(sprintf('C as function of R+D for %s, normalized',country))
    %     figure
    %     plot((R+D)/max(R+D),'r')
    %     hold on
    %     plot(C/max(C),'b')
    %     title(sprintf('R+D and C normalized fo %s',country))
    %     disp(sprintf('These plots are for %s',country))
    %     pause
    %     h=gca;
    %     set(h,'FontSize',20)
    % close all
end
% legend('Germany', 'Italy','France', 'USA',4)
