function val=myderivativechecker(x, y, backlog, degree)
% Given two weakly monotonic series x_n, y_n, consider the function y(x)
% and estimate the derivative at the endpoint.
%
% Implementation: Fit by a polynomial on backlog+1 points
% and take derivative at endpoint. 
%
xloc=x(end-backlog:end);
yloc=y(end-backlog:end);
[p1,S,mu]=polyfit(xloc, yloc, degree);
q1=polyder(p1)/mu(2);
val=polyval(q1,xloc(end),[],mu);
