function testJHgammaestimate()
% estimation of gamma in JH model
close all;
clear all;
% country='France'
country='Germany'
countrylist=GetCoronaCountryList;
pars=GetCoronaParameters(country)
% 
[C, R, D]=GetCoronaDataRepaired(country);
% 
% C=mylogsmoother(C);
% D=mylogsmoother(D);
% R=mylogsmoother(R);
% C=mylogsmoother(C);
% D=mylogsmoother(D);
% R=mylogsmoother(R);
Clen=length(C)
I=C-R-D;
figure
semilogy(1:Clen,C,'b',1:Clen,I,'k',1:Clen,R,'g',1:Clen,D,'r')
title(sprintf('Raw data for %s',country))
legend('C','I','R','D',0)
xlabel('Days from Jan. 22nd, 2020')
dR=R;
dR(2:end)=R(2:end)-R(1:end-1);
dD=D;
dD(2:end)=D(2:end)-D(1:end-1);
dC=C;
dC(2:end)=C(2:end)-C(1:end-1);
figure
plot(pars(1):Clen,dC(pars(1):Clen))
title(sprintf('New Confirmed for %s',country'))

gamma=C;
gamma(2:end)=(dD(2:end)+dR(2:end))./I(1:end-1);
figure
plot(pars(1):Clen, gamma(pars(1):Clen))
title(sprintf('Gamma for %s',country'))



gammaR=C;
gammaR(2:end)=dR(2:end)./I(1:end-1);
figure
plot(pars(1):Clen, gammaR(pars(1):Clen))
title(sprintf('gamma^R for %s',country))

gammaD=C;
gammaD(2:end)=dD(2:end)./I(1:end-1);
figure
plot(pars(1):Clen, gammaD(pars(1):Clen))
title(sprintf('gamma^D for %s',country))

figure
plot(pars(1):Clen, dD(pars(1):end)+dR(pars(1):end))
title('dR+dD')

gD=backestimate(gammaD',14)
gR=backestimate(gammaR',14)
deltaC=2500
Inew(1)=I(end);
Rnew(1)=R(end);
Dnew(1)=D(end);
endk=100;
for k=2: endk
    Inew(k)=(1-gD-gR)*Inew(k-1)+deltaC;
    Dnew(k)=Dnew(k-1)+gD*Inew(k-1);
    Rnew(k)=Rnew(k-1)+gR*Inew(k-1);    
end
t=Clen-1+(1:endk);
figure
semilogy(t, Inew, 'b', t, Rnew,'g', t, Dnew, 'r',t,Inew+Rnew+Dnew,'k') 
legend('I','R','D','C')
title(sprintf('Scenario for %s for Delta C = %g',country, deltaC))
threshold=I(end)*(gD+gR)
I(end)
I(end)*gD